Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class WebServicesConstants

    java.lang.Object
      oracle.ifs.fdk.WebServicesConstants

    public class WebServicesConstants

extends java.lang.Object

Constants common to both the Web Services server and client.

Field Summary
`static java.lang.String` | `LOGIN_USER` The user property key returned by `RemoteLoginManager.login()`.
`static java.lang.String` | `SESSION_TIMEOUT` The session timeout property key returned by `RemoteLoginManager.login()`.
`static java.lang.String` | `TRANSACTION_TIMEOUT` The transaction timeout property key returned by `RemoteLoginManager.login()`.

Constructor Summary
`WebServicesConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGIN_USER

    public static final java.lang.String LOGIN_USER

  Description copied from class: `WebServicesConstants`
  The user property key returned by `RemoteLoginManager.login()`.

  Constant Value: LOGIN_USER

  See Also:
    Constant Field Values

### SESSION_TIMEOUT

    public static final java.lang.String SESSION_TIMEOUT

  Description copied from class: `WebServicesConstants`
  The session timeout property key returned by `RemoteLoginManager.login()`.

  Constant Value: SESSION_TIMEOUT

  See Also:
    Constant Field Values

### TRANSACTION_TIMEOUT

    public static final java.lang.String TRANSACTION_TIMEOUT

  Description copied from class: `WebServicesConstants`
  The transaction timeout property key returned by `RemoteLoginManager.login()`.

  Constant Value: TRANSACTION_TIMEOUT

  See Also:
    Constant Field Values

Constructor Detail

### WebServicesConstants

    public WebServicesConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD